/* 版心居中 */
.wrapper {
  margin: 0 auto;
  width: 90%;
}

/* 头部 start */
.header {
  position: fixed !important;
  /* 固定定位 */
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  border-radius: 10px 10px 0 0;
  padding-top: clamp(15px, 1.5625vw, 30px);
  z-index: 20;
}

.header .wrapper {
  height: clamp(50px, 3.6458vw, 70px);
  background-color: #fff;
  opacity: 0.85;
  border-radius: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header.scrolled .wrapper {
  opacity: 1;
}

/* logo 区域 */
.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-left: clamp(8px, 1.04vw, 20px);
}

/* logo图片 */
.logo img {
  width: 45px;
  height: 45px;

}

/* 标语 */
.logo .solgean {
  display: flex;
  flex-direction: column;
  margin-left: clamp(10px, 0.52vw, 15px);
}

/* 标语标题 */
.header .logo .solgean h2 {
  font-weight: 500;
  color: #051f1a;
  font-size: clamp(14px, 0.99vw, 19px);
}

/* 标语应援 */
.header .logo .solgean span {
  font-size: clamp(12px, 0.73vw, 14px);
  color: #051f1a;
  text-align: center;
  justify-content: space-between;
}

/* 导航栏区域 */
.header .nav {
  width: clamp(200px, 19.27vw, 370px);
  height: clamp(20px, 1.56vw, 30px);
  margin: 0 auto;
}

.header .nav ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: clamp(14px, 0.99vw, 18px);
}

/* nav-right区域 */
.header .nav-right {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  margin-right: clamp(15px, 1.04vw, 25px);
}

/* 登录和商家入驻 */
.header .nav-right .n1 {
  margin-right: clamp(10px, 1vw, 20px);
  background-color: #fff;
  height: clamp(30px, 2.08vw, 40px);
  width: clamp(80px, 5.21vw, 100px);
  text-align: center;
  line-height: clamp(30px, 2.08vw, 40px);
  border-radius: 10px;
  font-size: clamp(14px, 0.83vw, 18px);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

/* 登陆注册修改颜色 */
.header .nav-right .user {
  background-color: #288463;
  color: #fff;
  height: clamp(30px, 2.08vw, 40px);
  width: clamp(80px, 5.21vw, 100px);
  text-align: center;
  line-height: clamp(30px, 2.08vw, 40px);
  border-radius: 10px;
  font-size: clamp(14px, 0.83vw, 18px);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

/* 多选框 */
.header .nav-right .language {
  height: clamp(30px, 2.08vw, 40px);
  width: clamp(80px, 5.21vw, 100px);
  margin-right: clamp(10px, 1vw, 20px);
  text-align: center;
  line-height: clamp(30px, 2.08vw, 40px);
  font-size: clamp(14px, 0.83vw, 18px);
  font-weight: 400;
  border: none;
  outline: none;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

.hamburger-btn {
  display: none;
  position: absolute;
  right: clamp(16px, 5vw, 100px);
  top: 50%;
  transform: translateY(-50%);
  font-size: clamp(18px, 1.25vw, 24px);
  height: 30px;
  line-height: 30px;
  width: clamp(40px, 5.21vw, 50px);
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  background-color: #288463;
  color: #fff;
  text-align: center;
  right: clamp(16px, 5vw, 100px);
  margin-left: auto;
  border: none;
  outline: none;
}

.mobile-nav {
  position: absolute;
  top: 20px;
  right: clamp(8px, 5vw, 50px);
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  white-space: nowrap;

}

.mobile-nav ul {
  padding: clamp(8px, 1vw, 12px);
  display: none;
}

.mobile-nav ul.show {
  display: block;
}

.mobile-nav ul li {
  text-align: center;
  margin: clamp(8px, 1vw, 12px);
}

.mobile-nav .l2 {
  border: none;
  outline: none;
  font-family: "微软雅黑", Arial;
  cursor: pointer;
}

/* 大屏隐藏汉堡按钮 */
@media (max-width: 992px) {

  .nav,
  .nav-right .language,
  .nav-right .n1,
  .nav-right .user {
    display: none;
  }

  .nav-right .hamburger-btn {
    display: block;
  }
}

/* 头部区域 end */